<template>
  <nav>
    <router-link to="/">Home</router-link> |
    <router-link to="/expenses">Expenses</router-link> |
    <router-link to="/groups">Groups</router-link> 
    <h1 class="text-center mb-4">Welcome, {{ currentUsers }}</h1>
    <button class="btn btn-danger" @click="logout">Logout</button>
  </nav>
  <router-view/>
</template>

<script>
export default {
  data(){
    return{
      currentUser: "",
    }
  }, 
  methods: {
     getCurrentUSer: function () {
      let infos;
      infos = localStorage.getItem('username');
      this.currentUser = infos;
      console.log(infos);
      return infos;
    },
    logout() {
      sessionStorage.removeItem("token");
      localStorage.clear();
      // Remove the username from the Vuex store
      this.$store.commit('SET_CURRENT_USER', "");
      // this.currentUser = "";
      this.$router.push("/login");
    },
  },
  computed: {
    currentUsers() {
      return this.$store.state.currentUser;
    },
  },
    mounted() {
      this.getCurrentUSer();
    },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

nav {
  padding: 30px;
}

nav a {
  font-weight: bold;
  color: #2c3e50;
}

nav a.router-link-exact-active {
  color: #42b983;
}
</style>
